package com.zhongshu.card.server.core.dao.devices;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.client.type.permiss.PermissSendState;
import com.zhongshu.card.server.core.domain.devices.permiss.DevicePermissSendLog;

import java.util.List;

/**
 * 用户设备权限
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface DevicePermissSendLogDao extends MongoDao<DevicePermissSendLog> {

    List<DevicePermissSendLog> findByGroupId(String groupId);

    long countByGroupId(String groupId);

    long countByGroupIdAndSendState(String groupId, PermissSendState sendState);

    long countByGroupIdAndIsResponse(String groupId, Boolean isResponse);

}
